# USAGE

```bash
# start http server
go run .
```

## Documents

- [Gin Web Framework](https://github.com/gin-gonic/gin)
- [PostgreSQL client and ORM for Golang](https://github.com/go-pg/pg)
- [Introduction to Object-relational mapping](https://pg.uptrace.dev/orm/intro/)
- [Redis client for Golang](https://github.com/go-redis/redis)
- [Go Standard library](https://golang.org/pkg/)

## SOP

- Gin: Using GET, POST, PUT, PATCH, DELETE
- Gin: Parameters in path
- Gin: Querystring parameters
- Gin: Model binding and validation
- Pg: Quickstart(**ingore createSchema**)
- Redis: Quickstart
